package Net::DNS::RR::CDNSKEY;

use strict;
use warnings;
our $VERSION = (qw$Id: CDNSKEY.pm 1909 2023-03-23 11:36:16Z willem $)[2];

use base qw(Net::DNS::RR::DNSKEY);



use integer;


sub _format_rdata {			## format rdata portion of RR string.
	my $self = shift;

	return $self->SUPER::_format_rdata() if $self->algorithm;
	return my @rdata = @{$self}{qw(flags protocol algorithm)}, "AA==";
}


sub algorithm {
	my ( $self, $arg ) = @_;
	return $self->SUPER::algorithm($arg) if $arg;
	return $self->SUPER::algorithm() unless defined $arg;
	@{$self}{qw(flags protocol algorithm keybin)} = ( 0, 3, 0, chr(0) );
	return;
}


1;
__END__


